<!DOCTYPE html>
<html>
	<head>
		 <meta charset="UTF-8">
		 <meta name="viewport" content="width=device-width, initial-scale=1">
		 <link rel="stylesheet" href="css/pure_1.0.0/pure.css">
		 <link rel="stylesheet" href="css/main.css">
		 <script type="text/javascript" src="js/vue.min.js"></script>
		 <script type="text/javascript" src="js/axios.min.js"></script>
		 <script type="text/javascript" src="js/jquery-2.2.4.min.js"></script>
	</head>
	<body>
		<div id="app">
			<form class="pure-form">
				<fieldset>
					<legend>Search Files</legend>

					<input id="searchText" v-on:keyup="getNewText()" v-model="searchText" type="text" placeholder="search text" :disabled="timesLoaded == 0"/>
					
					<img v-show="status=='loading'" class="loadingGraphic" style="display:none" src="images/ajax_loading.gif"/>
					
				</fieldset>
				<div class="resultArea">
					<table v-if="timesLoaded > 0" class="pure-table pure-table-striped">
						<thead>
							<th><span v-html="howManyMessage"></span></th>
						</thead>
						<tbody>
							<tr v-for="pathAndFileName in pathAndFileNames">
								<td v-html="pathAndFileName"></td>
							</tr>
						</tbody>
					</table>
				</div>
			</form>
		</div>
		<script>
			var vue = new Vue({
                el: '#app',
                data: {
					status: 'waiting',
					searchText: '',
                    pathAndFileNames: [],
					howManyMessage: '',
					timesLoaded: 0
                },
                methods: {
                    getNewText: function() {
						this.status = 'loading';
						var that = this;
						axios({
						  method: 'post',
						  url: 'data.php',
						  data: {
							searchText: that.searchText
						  }
						}).then(function (response) {
							var pathAndFileNames = response.data['pathAndFileNames'];
							var howManyMessage = response.data['howManyMessage'];
							
							that.pathAndFileNames = pathAndFileNames;
							that.howManyMessage = howManyMessage;
							
							that.status = 'waiting';
							that.timesLoaded++;
							
							if(that.timesLoaded == 1) {	
								setTimeout(function() { $('#searchText').focus() }, 100);								
							}
						  })
						  .catch(function (error) {
							console.log(error);
						  });		
                    }
                }
            });	
			vue.getNewText();
			
		</script>
</body>
</html>